<?php
/**
 * @Statement: [ An Ordinary Person ]
 * @Author: 闻子 < QQ：270988107 >
 * @Copyright: 闻子 2016-2019 All rights reserved.
 *
 *    .--,       .--,
 *   ( (  \.---./  ) )
 *    '.__/o   o\__.'
 *       {=  ^  =}
 *        >  -  <
 *       /       \
 *      //       \
 *     //|   .   |\
 *     "'\       /'"_.-~^`'-.
 *        \  _  /--'         `
 *      ___)( )(___
 *     (((__) (__)))    高山仰止,景行行止.虽不能至,心向往之.
 *
 */

namespace app\common\logic;

use think\Db;

class Page extends Basedata
{
    /**
     * 定义模型
     * @Author 闻子 <270988107@qq.com>
     */
    public static $PageModel = null;

    /**
     * 实例化模型
     * @Author 闻子 <270988107@qq.com>
     */
    public function __construct()
    {
        parent::__construct();
        self::$PageModel = model($this->name);
    }

    /**
     * 获取单页数据逻辑
     * @Author 闻子 <270988107@qq.com>
     */
    public function getPageInfo($where = [], $field = true)
    {
        return self::$PageModel->getInfo($where, $field);
    }

    /**
     * 获取单页列表逻辑
     * @Author 闻子 <270988107@qq.com>
     */
    public function getPageList($where = [], $data = '')
    {
        return self::$PageModel->getWhereOrder($where, $data);
    }

    /**
     * 单页统计数据逻辑
     * @Author 闻子 <270988107@qq.com>
     */
    public function getPageCount($where = [])
    {
        return self::$PageModel->stat($where);
    }

    /**
     * 单页数据提交逻辑
     * @Author 闻子 <270988107@qq.com>
     */
    public function formdata($data)
    {
        $url = url('/ohbbs/article/page');
        return self::$PageModel->setInfo($data) ? [RESULT_SUCCESS, '提交成功', $url] : [RESULT_ERROR, self::$PageModel->getError()];
    }

    /**
     * 单页编辑逻辑
     * @Author 闻子 <270988107@qq.com>
     */
    public function getedit($data)
    {
        $url = url('/ohbbs/article/page');
        return self::$PageModel->setInfo($data) ? ['code' => 1, 'msg' => '提交成功', 'data' => '', 'url' => $url] : ['code' => 0, 'msg' => '提交失败', 'data' => '', 'url' => $url];
    }

    /**
     * 单页删除逻辑
     * @Author 闻子 <270988107@qq.com>
     */
    public function getPageDel($id)
    {
        if (empty($id)) {
            return ["ERROR", '参数异常'];
        }
        $data['id'] = $id;
        $url = url('/ohbbs/article/page');
        return self::$PageModel->deleteyi($data) ? ['code' => 1, 'msg' => '删除成功', 'data' => '', 'url' => $url] : ['code' => 0, 'msg' => '删除失败', 'data' => '', 'url' => $url];
    }

    /**
     * 批量删除单页逻辑
     * @Author 闻子 <270988107@qq.com>
     */
    public function getPagealldel($data)
    {
        $str = rtrim($data, ","); 
        $row = self::$PageModel->deleteyi($str);
        $url = url('/ohbbs/article/page');
        return $row ? ['code' => 1, 'msg' => '删除成功', 'data' => '', 'url' => $url] : ['code' => 1, 'msg' => '删除失败', 'data' => '', 'url' => $url];
    }

}